## getCharacterScale

### Syntax:

    getCharacterScale (thisCharacter);

### Purpose:

Get the current scale used when drawing thisCharacter to the screen as a percentage.

### Return value:

If thisCharacter is represented on-screen as a character, the return value will be the scale used when currently drawing the character on the screen as a percentage. For example, if the character is being drawn at half its original size, the return value will be 50. If thisCharacter isn't currently on-screen, the return value will be 0.

### See also:

Object Types as Characters

addCharacter

setScale

Scaling Characters

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012